=== debian/changelog ===
tokodon (25.08.1-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_revert_357ef28c_accountpage-use-formlinkdelegate-for-open-ser.patch:
      refresh/update
    - upstream_128cdaa7_Fix-a-crash-when-trying-to-block-an-account-through-the-post-menu.patch:
      drop, backported from upstream
    - upstream_4f09a6e8_Add-mute-block-management-on-the-safety-page.patch:
      drop, backported from upstream
    - upstream_5587bbb9_Use-QLatin1String-in-SocialGraphModel.patch: drop,
      backported from upstream
    - upstream_fc886374_Playback-audio-in-video-attachments.patch: drop,
      backported from upstream
    - upstream_9eb657e1_Fix-crash-when-trying-to-save-less-than-the-max-number-of-fields.patch:
      drop, backported from upstream
    - upstream_b319e681_Add-a-toggle-in-account-settings-for-search-indexing.patch:
      drop, backported from upstream
    - upstream_4643870b_Make-sure-that-toggling-account-options-affects-the-correct-account.patch:
      drop, backported from upstream
    - upstream_df89658d_Fix-possible-erroneous-trailing-space-in-OAuth-scope-parameter.patch:
      drop, backported from upstream
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 6.12.0
    - add libkunifiedpush-dev, qcoro-qt6-dev, qml6-module-org-kde-kitemmodels,
      qml6-module-org-kde-prison, and qml6-module-org-kde-sonnet
    - remove unused libmpvqt-dev, and libqqc2breezestyle-dev
  * Concatenate all the keys in debian/upstream/signing-key.asc.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Build with -Os on armhf to workaround memory issues. (Closes: #1116228)

 -- Pino Toscano <pino@debian.org>  Fri, 26 Sep 2025 10:11:26 +0200
