=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# workaround for https://gcc.gnu.org/bugzilla/show_bug.cgi?id=119015
ifneq (,$(filter $(DEB_HOST_ARCH), armhf))
  export DEB_CXXFLAGS_MAINT_APPEND += -Os
endif


%:
	dh $@

override_dh_auto_test:
	xvfb-run -a dh_auto_test
