=== debian/changelog ===
tokodon (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 12:00:20 +0100

tokodon (25.08.1-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Sep 2025 00:16:12 +0100

tokodon (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:00:17 +0100

tokodon (25.08.0-0ubuntu2) questing; urgency=medium

  * Build with -Os on armhf to work around OOM.

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Aug 2025 19:25:48 +0100

tokodon (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:35:59 +0100
