=== debian/control ===
Source: tokodon
Section: net
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.11.0~),
               gettext,
               kirigami-addons-dev (>= 1.1.0~),
               libkf6colorscheme-dev (>= 6.11.0~),
               libkf6config-dev (>= 6.11.0~),
               libkf6coreaddons-dev (>= 6.11.0~),
               libkf6crash-dev (>= 6.11.0~),
               libkf6dbusaddons-dev (>= 6.11.0~),
               libkf6i18n-dev (>= 6.11.0~),
               libkf6iconthemes-dev (>= 6.11.0~),
               libkf6kio-dev (>= 6.11.0~),
               libkf6notifications-dev (>= 6.11.0~),
               libkf6purpose-dev (>= 6.11.0~),
               libkf6qqc2desktopstyle-dev,
               libkf6windowsystem-dev (>= 6.11.0~),
               libkirigami-dev (>= 6.11.0~),
               libmpvqt-dev,
               libqqc2breezestyle-dev (>= 6.0.0~),
               libssl-dev,
               qcoro-qt6-dev,
               qml6-module-org-kde-kquickcontrolsaddons,
               qml6-module-org-kde-notifications,
               qml6-module-org-kde-purpose,
               qml6-module-qtcore,
               qml6-module-qtquick-dialogs,
               qml6-module-qtquick-effects,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-declarative-private-dev,
               qt6-multimedia-dev (>= 6.8.0~),
               qt6-svg-dev (>= 6.8.0~),
               qt6-websockets-dev (>= 6.8.0~),
               qt6-webview-dev (>= 6.6~) [amd64 arm64 armhf i386],
               qtkeychain-qt6-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/tokodon
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/tokodon
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/tokodon
Rules-Requires-Root: no

Package: tokodon
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: modern Mastodon client
 Tokodon is a modern client for Mastodon, Pleroma, and Nextcloud Social, built
 using the Kirigami technology.
 .
 Tokodon allows you to interact with the Fediverse community.
