## tokodon 25.08.2+p24.04+vstable+git20251011.1307

=== debian/changelog ===
tokodon (25.08.2+p24.04+vstable+git20251011.1307-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 13:07:40 +0000

tokodon (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:31:20 +0000

tokodon (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 12:05:20 +0000
