## tokodon 25.08.2+p24.04+vstable+git20251021.0340

=== debian/changelog ===
tokodon (25.08.2+p24.04+vstable+git20251021.0340-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:40:43 +0000
