=== debian/control ===
Source: tokodon
Section: kde
Priority: optional
Build-Depends: cmake,
               cmark,
               debhelper-compat (= 13),
               kf6-breeze-icon-theme,
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kitemmodels-dev,
               kf6-knotifications-dev,
               kf6-purpose-dev,
               kf6-qqc2-desktop-style-dev,
               libcmark-dev,
               libmpv-dev,
               mpvqt-dev,
               pkg-kde-tools,
               qcoro-qt6-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-svg-dev,
               qt6-websockets-dev,
               qt6-webview-dev,
               qtkeychain-qt6-dev,
               reuse
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/tokodon/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/tokodon.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/tokodon
Maintainer: Neon CI <neon@kde.org>

Package: tokodon
Architecture: any
Depends: mpvqt,
         qml6-module-org-kde-kirigami-addons-components,
         qml6-module-org-kde-kirigami-addons-delegates,
         qml6-module-org-kde-kirigami-addons-labs-components,
         qml6-module-org-kde-kirigami-addons-labs-mobileform,
         qml6-module-org-kde-kirigami2,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-qqc2desktopstyle,
         qml6-module-org-kde-syntaxhighlighting,
         qml6-module-qt-labs-platform,
         qml6-module-qt-labs-qmlmodels,
         qml6-module-qtwebview,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Client for Mastodon.
 Tokodon is a Mastodon client for Plasma and Plasma Mobile.
