## tokodon 25.08.2+p24.04+vstable+git20251024.0255

=== debian/changelog ===
tokodon (25.08.2+p24.04+vstable+git20251024.0255-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 02:55:11 +0000
