## tokodon 25.08.2+p24.04+vstable+git20251031.1015

=== debian/changelog ===
tokodon (25.08.2+p24.04+vstable+git20251031.1015-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 10:15:14 +0000
