=== debian/changelog ===
tokodon (25.08.3-0zneon+24.04+noble+release+build44) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 02:04:18 +0000

tokodon (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:33:35 +1000
