=== src/CMakeLists.txt ===
--- 
+++ 
@@ -97,17 +97,23 @@
     conversation/conversationmodel.cpp
     conversation/conversationmodel.h
 
+    # Data types
+    datatypes/application.cpp
+    datatypes/application.h
+    datatypes/attachment.cpp
+    datatypes/attachment.h
+    datatypes/card.cpp
+    datatypes/card.h
+    datatypes/poll.cpp
+    datatypes/poll.h
+    datatypes/post.cpp
+    datatypes/post.h
+    datatypes/tag.h
+    datatypes/tag.cpp
+
     # Timeline
-    timeline/post.cpp
-    timeline/post.h
-    timeline/attachment.cpp
-    timeline/attachment.h
     timeline/notification.cpp
     timeline/notification.h
-    timeline/poll.cpp
-    timeline/poll.h
-    timeline/tag.h
-    timeline/tag.cpp
     timeline/accountmodel.cpp
     timeline/accountmodel.h
     timeline/threadmodel.cpp
@@ -256,6 +262,8 @@
         content/ui/Notifications/ReportDelegate.qml
         content/ui/Notifications/UserInteractionLabel.qml
         content/ui/Notifications/AnnualReportDelegate.qml
+        content/ui/Notifications/FollowDelegate.qml
+        content/ui/Notifications/UnknownNotificationDelegate.qml
 
         # Settings
         content/ui/Settings/AccountPage.qml
@@ -311,7 +319,6 @@
         content/ui/ConversationPage.qml
         content/ui/EditListPage.qml
         content/ui/ExplorePage.qml
-        content/ui/FollowDelegate.qml
         content/ui/FollowingPage.qml
         content/ui/FullScreenImage.qml
         content/ui/LanguageSelector.qml
@@ -349,5 +356,3 @@
 )
 
 kconfig_target_kcfg_file(tokodon_static FILE config.kcfg CLASS_NAME Config MUTATORS GENERATE_PROPERTIES GENERATE_MOC DEFAULT_VALUE_GETTERS PARENT_IN_CONSTRUCTOR SINGLETON QML_REGISTRATION)
-kconfig_target_kcfg_file(tokodon_static FILE accountconfig.kcfg CLASS_NAME AccountConfig MUTATORS GENERATE_PROPERTIES GENERATE_MOC DEFAULT_VALUE_GETTERS PARENT_IN_CONSTRUCTOR QML_REGISTRATION QML_UNCREATABLE)
-
