=== debian/changelog ===
tokodon (25.12.0-0zneon+24.04+noble+release+build46) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 14:00:55 +0000

tokodon (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:29:21 +1000
