## tokodon 25.12.0+p24.04+vstable+git20251231.0218

=== debian/changelog ===
tokodon (25.12.0+p24.04+vstable+git20251231.0218-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:18:39 +0000
